/***********************************************************************
**                                                                    **
**  listing_7_3.c                                                     **
**                                                                    **
**  Arrow Buttons and Bulletin Board. This program demonstrates the   **
**  appearance and interaction of XmArrowButton.                      **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>
#include <Xm/ArrowB.h>


Widget	appshell,			/* Application Shell	      */
	the_bb,				/* A Bulletin Board	      */
	buttons[4];			/* The Arrow Buttons	      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_7_03", NULL, 0, &argc, argv );

    the_bb = XmCreateBulletinBoard( appshell, "TheBB", NULL, 0 );
    XtManageChild( the_bb );

    buttons[0] = XmCreateArrowButton( the_bb, "Up", NULL, 0 );
    buttons[1] = XmCreateArrowButton( the_bb, "Down", NULL, 0 );
    buttons[2] = XmCreateArrowButton( the_bb, "Left", NULL, 0 );
    buttons[3] = XmCreateArrowButton( the_bb, "Right", NULL, 0 );
    XtManageChildren( buttons, 4 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
